Bug 637122 - abrt does not tag message in .xsession-errors
Summary: abrt does not tag message in .xsession-errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-24 11:33 UTC by Steve Tyler
Modified: 2011-06-24 03:25 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:25:22 UTC


Attachments (Terms of Use)

Description Steve Tyler 2010-09-24 11:33:59 UTC
Description of problem:
A message from abrt appears in .xsession-errors, but it is not tagged with "abrt:", so readers cannot easily identify the source of the message.

Version-Release number of selected component (if applicable):
abrt-gui-1.1.13-2.fc14.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Produce the same crash several times.
  
Actual results:
This untagged string appears in .xsession-errors:
"repeated crash in rhythmbox-0.13.1-1.fc14, not showing the notification"

Expected results:
The string is tagged with "abrt:".

Additional info:
Bug 637118 has an example of .xsession-errors with the "repeated crash" messages.

$ strings /usr/bin/abrt-applet | grep crash
A crash has been detected
A crash in the %s package has been detected
repeated crash in %s, not showing the notification

Comment 1 Denys Vlasenko 2011-06-16 14:22:17 UTC
Fixed in git by commit 178791fe4cefd9073d05bf55a3264efe6893d391.

Note: "Closes bz#637118" comment in that commit is an error, it should have been "Closes bz#637122" (this bug)

Comment 2 Fedora Update System 2011-06-21 13:45:34 UTC
abrt-2.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15

Comment 3 Fedora Update System 2011-06-21 23:56:25 UTC
Package abrt-2.0.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-24 03:23:38 UTC
abrt-2.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.